## org.eclipse.contribution.visualiser.palettes
Class DefaultVisualiserPalette

    java.lang.Object
      org.eclipse.contribution.visualiser.palettes.DefaultVisualiserPalette

All Implemented Interfaces:
  IVisualiserPalette

Direct Known Subclasses:
  BrightVisualiserPalette, PatternVisualiserPalette

public class DefaultVisualiserPalette
extends java.lang.Object
implements IVisualiserPalette

Default implementation of IVisualiserPalette providing a default palette for visualiser providers.

Field Summary
`protected static org.eclipse.swt.graphics.RGB` `blue1`
`protected static org.eclipse.swt.graphics.RGB` `blue2`
`protected static org.eclipse.swt.graphics.RGB` `blue3`
`protected static org.eclipse.swt.graphics.RGB` `blue4`
`protected static org.eclipse.swt.graphics.RGB` `blue5`
`protected static org.eclipse.swt.graphics.RGB` `cyan1`
`protected static org.eclipse.swt.graphics.RGB` `cyan2`
`protected static org.eclipse.swt.graphics.RGB` `cyan3`
`protected static org.eclipse.swt.graphics.RGB` `cyan4`
`protected static org.eclipse.swt.graphics.RGB` `cyan5`
`protected static org.eclipse.swt.graphics.RGB` `green1`
`protected static org.eclipse.swt.graphics.RGB` `green2`
`protected static org.eclipse.swt.graphics.RGB` `green3`
`protected static org.eclipse.swt.graphics.RGB` `green4`
`protected static org.eclipse.swt.graphics.RGB` `green5`
`protected static org.eclipse.swt.graphics.RGB` `indigo1`
`protected static org.eclipse.swt.graphics.RGB` `indigo2`
`protected static org.eclipse.swt.graphics.RGB` `indigo3`
`protected static org.eclipse.swt.graphics.RGB` `indigo4`
`protected static org.eclipse.swt.graphics.RGB` `indigo5`
`protected static org.eclipse.swt.graphics.RGB` `lightblue1`
`protected static org.eclipse.swt.graphics.RGB` `lightblue2`
`protected static org.eclipse.swt.graphics.RGB` `lightblue3`
`protected static org.eclipse.swt.graphics.RGB` `lightblue4`
`protected static org.eclipse.swt.graphics.RGB` `lightblue5`
`protected static org.eclipse.swt.graphics.RGB` `mint1`
`protected static org.eclipse.swt.graphics.RGB` `mint2`
`protected static org.eclipse.swt.graphics.RGB` `mint3`
`protected static org.eclipse.swt.graphics.RGB` `mint4`
`protected static org.eclipse.swt.graphics.RGB` `mint5`
`protected static org.eclipse.swt.graphics.RGB` `orange1`
`protected static org.eclipse.swt.graphics.RGB` `orange2`
`protected static org.eclipse.swt.graphics.RGB` `orange3`
`protected static org.eclipse.swt.graphics.RGB` `orange4`
`protected static org.eclipse.swt.graphics.RGB` `orange5`
`protected static org.eclipse.swt.graphics.RGB` `pink1`
`protected static org.eclipse.swt.graphics.RGB` `pink2`
`protected static org.eclipse.swt.graphics.RGB` `pink3`
`protected static org.eclipse.swt.graphics.RGB` `pink4`
`protected static org.eclipse.swt.graphics.RGB` `pink5`
`protected static org.eclipse.swt.graphics.RGB` `purple1`
`protected static org.eclipse.swt.graphics.RGB` `purple2`
`protected static org.eclipse.swt.graphics.RGB` `purple3`
`protected static org.eclipse.swt.graphics.RGB` `purple4`
`protected static org.eclipse.swt.graphics.RGB` `purple5`
`protected static org.eclipse.swt.graphics.RGB` `red1`
`protected static org.eclipse.swt.graphics.RGB` `red2`
`protected static org.eclipse.swt.graphics.RGB` `red3`
`protected static org.eclipse.swt.graphics.RGB` `red4`
`protected static org.eclipse.swt.graphics.RGB` `red5`
`protected static org.eclipse.swt.graphics.RGB[]` `rgbList`
`protected static org.eclipse.swt.graphics.RGB` `swamp1`
`protected static org.eclipse.swt.graphics.RGB` `swamp2`
`protected static org.eclipse.swt.graphics.RGB` `swamp3`
`protected static org.eclipse.swt.graphics.RGB` `swamp4`
`protected static org.eclipse.swt.graphics.RGB` `swamp5`
`protected static org.eclipse.swt.graphics.RGB` `yellow1`
`protected static org.eclipse.swt.graphics.RGB` `yellow2`
`protected static org.eclipse.swt.graphics.RGB` `yellow3`
`protected static org.eclipse.swt.graphics.RGB` `yellow4`
`protected static org.eclipse.swt.graphics.RGB` `yellow5`

Constructor Summary
`DefaultVisualiserPalette()`

Method Summary
`org.eclipse.swt.graphics.RGB` `getRandomRGBValue()` Returns a colour with random R,G and B values that are between 50 and 250 and are multiples of 5.
`org.eclipse.swt.graphics.RGB[]` `getRGBValues()` Return the array of RGB values for this palette.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### red1

    protected static org.eclipse.swt.graphics.RGB red1

### yellow1

    protected static org.eclipse.swt.graphics.RGB yellow1

### green1

    protected static org.eclipse.swt.graphics.RGB green1

### cyan1

    protected static org.eclipse.swt.graphics.RGB cyan1

### blue1

    protected static org.eclipse.swt.graphics.RGB blue1

### purple1

    protected static org.eclipse.swt.graphics.RGB purple1

### orange1

    protected static org.eclipse.swt.graphics.RGB orange1

### swamp1

    protected static org.eclipse.swt.graphics.RGB swamp1

### mint1

    protected static org.eclipse.swt.graphics.RGB mint1

### lightblue1

    protected static org.eclipse.swt.graphics.RGB lightblue1

### indigo1

    protected static org.eclipse.swt.graphics.RGB indigo1

### pink1

    protected static org.eclipse.swt.graphics.RGB pink1

### red2

    protected static org.eclipse.swt.graphics.RGB red2

### yellow2

    protected static org.eclipse.swt.graphics.RGB yellow2

### green2

    protected static org.eclipse.swt.graphics.RGB green2

### cyan2

    protected static org.eclipse.swt.graphics.RGB cyan2

### blue2

    protected static org.eclipse.swt.graphics.RGB blue2

### purple2

    protected static org.eclipse.swt.graphics.RGB purple2

### orange2

    protected static org.eclipse.swt.graphics.RGB orange2

### swamp2

    protected static org.eclipse.swt.graphics.RGB swamp2

### mint2

    protected static org.eclipse.swt.graphics.RGB mint2

### lightblue2

    protected static org.eclipse.swt.graphics.RGB lightblue2

### indigo2

    protected static org.eclipse.swt.graphics.RGB indigo2

### pink2

    protected static org.eclipse.swt.graphics.RGB pink2

### red3

    protected static org.eclipse.swt.graphics.RGB red3

### yellow3

    protected static org.eclipse.swt.graphics.RGB yellow3

### green3

    protected static org.eclipse.swt.graphics.RGB green3

### cyan3

    protected static org.eclipse.swt.graphics.RGB cyan3

### blue3

    protected static org.eclipse.swt.graphics.RGB blue3

### purple3

    protected static org.eclipse.swt.graphics.RGB purple3

### orange3

    protected static org.eclipse.swt.graphics.RGB orange3

### swamp3

    protected static org.eclipse.swt.graphics.RGB swamp3

### mint3

    protected static org.eclipse.swt.graphics.RGB mint3

### lightblue3

    protected static org.eclipse.swt.graphics.RGB lightblue3

### indigo3

    protected static org.eclipse.swt.graphics.RGB indigo3

### pink3

    protected static org.eclipse.swt.graphics.RGB pink3

### red4

    protected static org.eclipse.swt.graphics.RGB red4

### yellow4

    protected static org.eclipse.swt.graphics.RGB yellow4

### green4

    protected static org.eclipse.swt.graphics.RGB green4

### cyan4

    protected static org.eclipse.swt.graphics.RGB cyan4

### blue4

    protected static org.eclipse.swt.graphics.RGB blue4

### purple4

    protected static org.eclipse.swt.graphics.RGB purple4

### orange4

    protected static org.eclipse.swt.graphics.RGB orange4

### swamp4

    protected static org.eclipse.swt.graphics.RGB swamp4

### mint4

    protected static org.eclipse.swt.graphics.RGB mint4

### lightblue4

    protected static org.eclipse.swt.graphics.RGB lightblue4

### indigo4

    protected static org.eclipse.swt.graphics.RGB indigo4

### pink4

    protected static org.eclipse.swt.graphics.RGB pink4

### red5

    protected static org.eclipse.swt.graphics.RGB red5

### yellow5

    protected static org.eclipse.swt.graphics.RGB yellow5

### green5

    protected static org.eclipse.swt.graphics.RGB green5

### cyan5

    protected static org.eclipse.swt.graphics.RGB cyan5

### blue5

    protected static org.eclipse.swt.graphics.RGB blue5

### purple5

    protected static org.eclipse.swt.graphics.RGB purple5

### orange5

    protected static org.eclipse.swt.graphics.RGB orange5

### swamp5

    protected static org.eclipse.swt.graphics.RGB swamp5

### mint5

    protected static org.eclipse.swt.graphics.RGB mint5

### lightblue5

    protected static org.eclipse.swt.graphics.RGB lightblue5

### indigo5

    protected static org.eclipse.swt.graphics.RGB indigo5

### pink5

    protected static org.eclipse.swt.graphics.RGB pink5

### rgbList

    protected static org.eclipse.swt.graphics.RGB[] rgbList

Constructor Detail

### DefaultVisualiserPalette

    public DefaultVisualiserPalette()

Method Detail

### getRandomRGBValue

    public org.eclipse.swt.graphics.RGB getRandomRGBValue()

  Returns a colour with random R,G and B values that are between 50 and 250 and are multiples of 5.

  Specified by:
    `getRandomRGBValue` in interface `IVisualiserPalette`
  Returns:
    randomly generated Color

### getRGBValues

    public org.eclipse.swt.graphics.RGB[] getRGBValues()

  Description copied from interface: `IVisualiserPalette`
  Return the array of RGB values for this palette. The array can be of any length - if the array is exhausted, the getRandomRGBValue() method will be used.

  Specified by:
    `getRGBValues` in interface `IVisualiserPalette`
  Returns:
    array of RGB values